### File

`packages/ecl/components/ecl-file/ecl-file-download.directive.ts`

### Description

Directive to style a file preview link. Adds spacing and ECL link classes for standalone appearance.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclFilePreview]`

### Index

###### Properties
hasClass hasClassStandalone
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-link class.ecl-link--standalone

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-link
Type : `boolean`
Default value : `true`
Applies ECL link class to the host element.

class.ecl-link--standalone
Type : `boolean`
Default value : `true`
Applies the standalone variant of the ECL link class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

hasClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-link')`
Applies ECL link class to the host element.

hasClassStandalone
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-link--standalone')`
Applies the standalone variant of the ECL link class to the host element.

# results matching ""

# No results matching ""